package com.arrebol.taxiservicios.model.admin;

import com.arrebol.taxiservicios.model.core.Person;
import com.arrebol.taxiservicios.model.core.User;
import com.arrebol.taxiservicios.model.enums.ReferenceType;
import java.io.Serializable;
import java.util.Date;

/**
 *
 * @author Picasso
 */
public class Reference implements Serializable {

    private static final long serialVersionUID = -6404818418185550835L;

    private String id;
    private String completeName;
    private String completeAddress;
    private String phone;
    private ReferenceType referenceType;
    private Person person;
    private User createdBy;
    private Date createdOn;
    private User lastUpdatedBy;
    private Date lastUpdatedOn;

    public Reference(String completeName, String completeAddress, String phone, ReferenceType referenceType) {
        this.completeName = completeName;
        this.completeAddress = completeAddress;
        this.phone = phone;
        this.referenceType = referenceType;
    }

    public Reference(String completeName, String completeAddress, String phone) {
        this.completeName = completeName;
        this.completeAddress = completeAddress;
        this.phone = phone;
    }

    public Reference() {
    }

    public Reference(String id) {
        this.id = id;
    }

    public Reference(String id, String completeName, String completeAddress, String phone, ReferenceType referenceType) {
        this.id = id;
        this.completeName = completeName;
        this.completeAddress = completeAddress;
        this.phone = phone;
        this.referenceType = referenceType;
    }

    public String getId() {
        return id;
    }

    public void setId(String id) {
        this.id = id;
    }

    public String getCompleteName() {
        return completeName;
    }

    public void setCompleteName(String completeName) {
        this.completeName = completeName;
    }

    public String getCompleteAddress() {
        return completeAddress;
    }

    public void setCompleteAddress(String completeAddress) {
        this.completeAddress = completeAddress;
    }

    public String getPhone() {
        return phone;
    }

    public void setPhone(String phone) {
        this.phone = phone;
    }

    public ReferenceType getReferenceType() {
        return referenceType;
    }

    public void setReferenceType(ReferenceType referenceType) {
        this.referenceType = referenceType;
    }

    public Person getPerson() {
        return person;
    }

    public void setPerson(Person person) {
        this.person = person;
    }

    public User getCreatedBy() {
        return createdBy;
    }

    public void setCreatedBy(User createdBy) {
        this.createdBy = createdBy;
    }

    public Date getCreatedOn() {
        return createdOn;
    }

    public void setCreatedOn(Date createdOn) {
        this.createdOn = createdOn;
    }

    public User getLastUpdatedBy() {
        return lastUpdatedBy;
    }

    public void setLastUpdatedBy(User lastUpdatedBy) {
        this.lastUpdatedBy = lastUpdatedBy;
    }

    public Date getLastUpdatedOn() {
        return lastUpdatedOn;
    }

    public void setLastUpdatedOn(Date lastUpdatedOn) {
        this.lastUpdatedOn = lastUpdatedOn;
    }

    @Override
    public String toString() {
        return "Reference{" + "id=" + id + ", completeName=" + completeName + ", completeAddress=" + completeAddress + ", phone=" + phone + ", referenceType=" + referenceType + '}';
    }

}
